module NextOnRails
  class ApplicationController < ActionController::API
    include DeviseTokenAuth::Concerns::SetUserByToken

    # rescue_from CanCan::AccessDenied do |_exception|
    #   head :forbidden
    # end

    protected

      def render_resource(resource, serializer_options = {}, render_options = {})
        serializer = serializer_options.delete(:serializer) || "#{resource.model_name}Serializer"
        serializer = serializer.classify.constantize
        if resource.errors.empty?
          render json: serializer.new(resource, **serializer_options), **render_options
        else
          render json: ActiveModelErrorsSerializer.new(resource), status: :unprocessable_entity
        end
      end
  end
end
