module NextOnRails
  class DeviseTokenAuthOverride::PasswordsController < DeviseTokenAuth::PasswordsController
    def render_create_success
      head :ok
    end

    def render_update_success
      head :ok
    end

    def render_create_error
      render json: ActiveModelErrorsSerializer.new(@resource), status: :unprocessable_entity
    end

    def render_update_error
      render json: ActiveModelErrorsSerializer.new(@resource), status: :unprocessable_entity
    end

    def render_error(status, message, _data = nil)
      render json: ErrorsSerializer.new(message), status: status
    end
  end
end
