module NextOnRails
  class DeviseTokenAuthOverride::RegistrationsController < DeviseTokenAuth::RegistrationsController
    include DeviseTokenAuthOverride::Concerns::CurrentResourceSerializer

    def render_create_success
      render json: current_resource_serializer(@resource).new(@resource), status: :created
    end

    def render_create_error
      render json: ActiveModelErrorsSerializer.new(@resource), status: :unprocessable_entity
    end

    def render_update_success
      render json: current_resource_serializer(@resource).new(@resource), status: :ok
    end

    def render_update_error
      render json: ActiveModelErrorsSerializer.new(@resource), status: :unprocessable_entity
    end

    def render_error(status, message, _data = nil)
      render json: ErrorsSerializer.new(message), status: status
    end

    def sign_up_params
      params.permit(:email, :password, :password_confirmation)
    end

    def account_update_params
      params.permit(:email, :password, :password_confirmation, :current_password, :username)
    end
  end
end
