module NextOnRails
  class DeviseTokenAuthOverride::SessionsController < DeviseTokenAuth::SessionsController
    include DeviseTokenAuthOverride::Concerns::CurrentResourceSerializer

    def render_new_error
      head :method_not_allowed
    end

    def render_create_success
      render json: current_resource_serializer(@resource).new(@resource), status: :ok
    end

    def render_destroy_success
      head :ok
    end

    def render_error(status, message, _data = nil)
      render json: ErrorsSerializer.new(message), status: status
    end

    private

      def resource_params
        params.permit(:email, :password)
      end
  end
end
