module NextOnRails
  class DeviseTokenAuthOverride::UnlocksController < DeviseTokenAuth::UnlocksController
    def render_create_success
      head :ok
    end

    def render_create_error
      render json: ActiveModelErrorsSerializer.new(@resource), status: :unprocessable_entity
    end

    def render_error(status, message, _data = nil)
      render json: ErrorsSerializer.new(message), status: status
    end

    private

      # Hope in this issue:
      # https://github.com/lynndylanhurley/devise_token_auth/issues/1274
      def after_unlock_path_for(_resource)
        DeviseTokenAuth.default_confirm_success_url
      end
  end
end
