module NextOnRails
  class MergerController < ApplicationController
    rescue_from NameError do
      head :bad_request
    end

    def merge
      json = {}
      resources.each do |resource, _params|
        json[resource] = "$$$#{resource}$$$"
      end
      json = { merge: json }.to_json
      resources.each do |resource, params|
        response_string_json = response_from_controller(resource, params)
        json.gsub!("\"$$$#{resource}$$$\"", response_string_json)
      end
      render json: json
    end

    private

      def response_from_controller(resource_name, resource_params)
        action = resource_name == resource_name.singularize ? :show : :index
        controller = "#{resource_name.classify.pluralize}Controller".constantize.new
        controller.params = resource_params
        return { data: {} }.to_json if action == :show && resource_params[:id].blank?

        controller.dispatch(action, request, ActionDispatch::Response.new)
        return controller.response.body
      end

      def resources
        params.require(:resources).permit!
      end
  end
end
