import { useFlash } from 'next-on-rails/utils'

const Flash = () => {
  const { flash } = useFlash()
  if (flash) {
    return Object.entries(flash)
      .filter(([key, value]) => value && value !== '')
      .map(([key, value]) => (
        <div key={key} className={`alert alert-${alertClass(key)}`}>
          {value}
        </div>
      ))
  } else {
    return null
  }
}

const alertClass = flashType => {
  switch (flashType) {
    case 'notice':
      return 'success'
    case 'alert':
      return 'danger'
    default:
      return 'info'
  }
}

export default Flash
