import { useLoginForm } from 'next-on-rails/devise'

const LoginForm = ({ successCallback, errorCallback }) => {
  const login = useLoginForm(successCallback, errorCallback)

  return (
    <form onSubmit={login}>
      <div className="form-group">
        <label htmlFor="form-login-email">Email</label>
        <input id="form-login-email" type="text" name="email" className="form-control" />
      </div>
      <div className="form-group">
        <label htmlFor="form-login-password">Password</label>
        <input id="form-login-password" type="password" name="password" className="form-control" />
      </div>
      <button type="submit" className="btn btn-primary">
        Login
      </button>
    </form>
  )
}

export default LoginForm
